Add a line item to an invoice

Adds a line item to an existing draft invoice. The item will be added last in the list of line items on the invoice.

NOTE: The invoice must be in draft status.

Scope: invoices:write

Path Params
uuid
required

Unique identifier of the company

uuid
required

Unique identifier of the invoice

Body Params

Post the necessary fields for the API to add a line item to an invoice.

int64 | null

Should not be set for new items

itemRef
object | null

Identifier of an existing salesItem to use as a template. Fields itemType and quantity are required. Values in other fields will be overridden by values from this referenced item

string
required
string
enum
required
Allowed:
string
enum
required
Allowed:
string
enum
Defaults to unspecified
double
required
Defaults to 1
double
required
double
required
int32 | null

Use the bookkeepingAccountNumber field in the line items to specify an accounting account other than the account that would be automatically be selected based on the item productType, taxRate, customer and company settings. Accounts that would be automatically selected cannot be set on this field.

taxReduction
object | null

tax reduction categorization for this line item. When the invoice has a taxReduction, each service line item should specify its job type. The type must match the invoice-level taxReduction type.

projectRef
object | null

Reference to a project.
Preview: This field is in preview and may change or be removed before general availability. Read the full preview policy

costCenterRef
object | null

Reference to a cost center tag value. Should be a valid dimension 1 tag value.
Preview: This field is in preview and may change or be removed before general availability. Read the full preview policy

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json